COVID-19: Supporting Essential Business

Move-in ready and secure, isolated office suites for your essential workforce

Learn More

How do I connect a device to wifi that does not support WPA2-Enterprise?

In order to connect to the ElevateOffice wifi, your device must support WPA2-Enterprise security. Most computers, operating systems, and many devices are supported. You should always attempt to first connect to the ElevateOffice network, but if you have a device that does not support WPA2-Enterprise, we provide a separate elevate-legacy network. If you need to access this network with an unsupported device, please ask your Property Manager for connection details.

Here is a list of devices that have been known to lack WPA2-Enterprise connections:

  • Kindle Wi-Fi or Wi-Fi + 3G
  • Xbox 360 S or Xbox wireless networking adapter
  • Sony Playstation 3 and Sony PSP
  • Nintendo Wii, DS, DSi and 3DS
  • Apple TV 1st and 2nd Generation
  • Nook v1.5
  • Roku HD/XD/XDS Streaming Player
  • TiVo Wireless Network Adapter